extends State
class_name BeeDeath

@onready var bee : Bee = get_parent().get_parent() as Bee 


func enter(_msg : Dictionary = {}) -> void:
	GameState.bee_died()
	bee.bee_position_animation.play("Death")
	bee.bee_wing_animation.stop()

func update(_delta : float) -> void:
	pass

func physics_update(_delta : float) -> void:
	pass